Subject: bug#6130: closed (bug#6130: 23.1; artist-mode spray-can malfunction)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 06 Apr 2016 15:06:03 +0000

Your bug report

#6130: 23.1; artist-mode spray-can malfunction

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
6130: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6130
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: bug#6130: 23.1; artist-mode spray-can malfunction
From: Johan Busk Eriksson <[email-masked]>
To: [email-masked]
Date: Wed, 6 Apr 2016 11:17:08 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I can't seem to replicate the bug anymore in 24.5, so I'll assume it's
been fixed without being closed.

To be honest I kind of forgot about filing the bug between 2010 and
when the replies started coming in 2015, and didn't really bother
seeing if it persisted in the last few releases.

/Johan

Subject: 23.1; artist-mode spray-can malfunction
From: busk <[email-masked]>
To: [email-masked]
Date: Fri, 07 May 2010 14:17:11 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I get a malfunction with the artist-mode spray-can when my drawing
goes "over" the borders of the frame, which manifests itself thusly:
It doesn't stop drawing on that particular are, but rather keeps
filling #'s in an area where I drawed until emacs is
killed. "Activating" another frame belonging to the same emacs process
moves the behaviour to that frame. Activating the mini-buffer makes it
draw in the minibuffer. Confirmed this on three different machines
with different releases of the ubuntu gnu/linux distribution and three
different releases of emacs (22.2.1, 23.1.1 and 23.1.50), and this
misbehaviour does not exist in 22.2.1, at least. I have not been able
to test this on a bzr snapshot, however, so in theory this might
already have been discovered and fixed, I guess.

In GNU Emacs 23.1.1 (x86_64-pc-linux-gnu, GTK+ Version 2.18.3)
 of 2010-03-26 on crested, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.10604000
configured using `configure  '--build=x86_64-linux-gnu'
'--host=x86_64-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib'
'--libexecdir=/usr/lib' '--localstatedir=/var/lib'
'--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes'
'--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.1/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/23.1/leim'
'--with-x=yes' '--with-x-toolkit=gtk' '--with-toolkit-scroll-bars'
'build_alias=x86_64-linux-gnu' 'host_alias=x86_64-linux-gnu'
'CFLAGS=-DDEBIAN -g -O2' 'LDFLAGS=-g' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  display-time-mode: t
  global-hl-line-mode: t
  show-paren-mode: t
  sml-modeline-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x r e p o <tab> r <tab> <return>

Recent messages:
Loading /etc/emacs/site-start.d/55ecb.el (source)...done
Loading /etc/emacs/site-start.d/65wl-beta.el (source)...done
/usr/bin/mail is not an executable.  Setting mail-interactive to t.
Loading /home/busk/elisp/color-theme-6.6.0/themes/color-theme-example.el
(source)...done
Loading /home/busk/elisp/color-theme-6.6.0/themes/color-theme-insp1.el
(source)...done
Loading /home/busk/elisp/color-theme-6.6.0/themes/color-theme-library.el
(source)...done
Loading /home/busk/.emacs.d/custom.el (source)...done
Starting Emacs daemon.
When done with this frame, type C-x 5 0
Making completion list...